apt-proxy-import says "no suitable backend found"

Bug #4844 reported by John Steele Scott (t-tec) on 2005-11-24
84
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Ubuntu
Medium
Unassigned
Nominated for Jaunty by Blake Munro
apt-proxy (Debian)
Fix Released
Unknown
apt-proxy (Ubuntu)
Medium
MOTU
Nominated for Jaunty by Blake Munro

Bug Description

I have installed apt-proxy and am trying to import my locally downloaded debs into it. I run "sudo apt-proxy-import -i /var/cache/apt/archives", and the output looks like:

/usr/lib/python2.4/site-packages/apt_proxy/apt_proxy.py:18: DeprecationWarning: twisted.protocols.http has moved to twisted.web.http. See http://twistedmatrix.com/projects/web.
  from twisted.protocols import http, ftp, basic
2005/11/25 09:22 CST [-] Log opened.
2005/11/25 09:22 CST [-] [apt_pkg] Loading Packages database for /var/cache/apt-proxy/.apt-proxy/backends/ubuntu-security
2005/11/25 09:22 CST [-] [apt_pkg] Loading Packages database for /var/cache/apt-proxy/.apt-proxy/backends/ubuntu
2005/11/25 09:22 CST [-] [import] gcc-3.3-doc_3.3.6-8ubuntu1_all.deb skipped - no suitable backend found
2005/11/25 09:22 CST [-] [import] Ignoring (unknown file type):lock
2005/11/25 09:22 CST [-] [import] libxcursor-dev_1.1.4-0ubuntu5_i386.deb skipped - no suitable backend found
2005/11/25 09:22 CST [-] [import] rcs-latex_3.1-1_all.deb skipped - no suitable backend found
2005/11/25 09:22 CST [-] [import] tcl8.4-dev_8.4.9-1_i386.deb skipped - no suitable backend found
2005/11/25 09:22 CST [-] [import] khelpcenter_3.4.3-0ubuntu6_i386.deb skipped - no suitable backend found
2005/11/25 09:22 CST [-] [import] gcc-doc_4.0.1-3_i386.deb skipped - no suitable backend found

And so on, for all my packages. At the end it says "close failed: [Errno 11] Resource temporarily unavailable"

The apt-proxy itself seems to work, it's just importing the packages I've previously downloaded that's broken.

Changed in apt-proxy:
assignee: nobody → motu
Russell Cloran (russell) wrote :

I'm seeing the same behaviour (along with a lot of other general brokenness in apt-proxy).

Changed in apt-proxy:
status: Unconfirmed → Confirmed
Ming Hua (minghua) wrote :

Which version of apt-proxy is having this problem? I've just uploaded a new version 1.9.33ubuntu1 to dapper, can anyone test if this bug is still reproducable in dapper? Thanks.

I have a similar problem in 1.9.33ubuntu1. I have no idea why I get the errors about not being able to find the packages files list as I can happily install new and packages.

$ sudo apt-proxy-import -v /var/cache/apt/archives
WARNING: apt-proxy has not been tested under this version of twisted (2.2.0).
WARNING: although it should work without problem.
2006/04/30 12:30 EST [-] Log opened.
2006/04/30 12:30 EST [-] verbose
2006/04/30 12:30 EST [-] [import] Importing packages from directory: /var/cache/apt/archives
2006/04/30 12:30 EST [-] [apt_pkg] No Packages files available for apt-proxy backend
2006/04/30 12:30 EST [-] [apt_pkg] No Packages files available for ubuntu-security backend
2006/04/30 12:30 EST [-] [apt_pkg] No Packages files available for ubuntu backend
2006/04/30 12:30 EST [-] [apt_pkg] No Packages files available for wine backend
2006/04/30 12:30 EST [-] [apt_pkg] No Packages files available for apt-proxy backend
2006/04/30 12:30 EST [-] [apt_pkg] No Packages files available for ubuntu-security backend
2006/04/30 12:30 EST [-] [apt_pkg] No Packages files available for ubuntu backend
2006/04/30 12:30 EST [-] [apt_pkg] No Packages files available for wine backend
2006/04/30 12:30 EST [-] [import] ubuntu-minimal_0.111_i386.deb skipped - no suitable backend found

sudo apt-proxy-import -r /var/cache/apt/archives gives me the attached file.

To be noticed even though apt-proxy daemon runs, I can't do apt-get update. am filling in a bug report for this.

Changed in apt-proxy:
status: Unconfirmed → Fix Released

apt-proxy_1.9.35ubuntu2_all
Ubuntu 7.04
Exactly the same behaviour!

apt-proxy 1.9.36 from gusty installs on 7.04 without error but the same output and no package has been imported...

Venkatesh Nandakumar (venryuec) wrote :

Workaround:

This is what I figured out.
I opened the folder /var/cache/apt-proxy/.apt-proxy-import/backends/{ubuntu\ubuntu-security}/apt/lists, as root, under nautilus.
Luckily, nautilus has this good feature of showing the first few lines of the contents of the file...
The files in the folder, were all linked to some other corresponding file, which is generated (or actually downloaded), when a client requests for the packages. (in newbie terms, when the client does an apt-get update, during an initial apt-proxy setup, the server first downloads the Packages.bz2 file, extracts it, )... and this is where the error occurs.
The 'Packages' file happens to be empty, and is not actually what is the content in 'Packages.bz2'.
So, I manually, yes it's a bit tough, extracted the files, and replaced the Packages file.. and then after repeatedly doing this, for all multiverse / universe / restricted / andwhatnot.. apt-proxy-import actually did import all the files...

Its worth it if u have a large amount of cache inbuilt.

But still.. I'd love to see the bug fixed..

Ritchie Young (ritchiey) wrote :

I had a similar problem on 8.04.

Following on from Venkatesh's observations, I thought I'd try:

cd /var/cache/apt-proxy
sudo find . -name Packages.bz2 -exec bunzip2 -f {} \;

I also had to restart apt-proxy to pick up my config changes:

sudo /etc/init.d/apt-proxy restart

Only then did it import any packages.

Viril Calimlim (virilc) wrote :

What I did was I followed Ritchie Young's suggestion to make the apt-proxy-import work at least once (logged in as root):

# cd /var/cache/apt-proxy
# find . -name Packages.bz2 -exec bunzip2 -f {} \;

Then I edited my /etc/apt/sources.list to include:

deb http://localhost:9999/ubuntu hardy main restricted universe multiverse
deb http://localhost:9999/ubuntu hardy-updates main restricted universe multiverse
deb http://localhost:9999/ubuntu hardy-security main restricted universe multiverse

I believe that by doing this, every update/upgrade/dist-upgrade that the server does would get included in the proxy cache automatically instead of going into /var/cache/apt/archives directory.

Correct me if my idea is wrong. Thank you. :)

Changed in apt-proxy:
status: Fix Released → Unknown
Changed in apt-proxy:
status: Unknown → New
Changed in apt-proxy:
status: New → Incomplete
Changed in apt-proxy:
status: Incomplete → Fix Released
Sidnei da Silva (sidnei) wrote :

I can confirm that the suggested workaround works around *wink* the issue. A fix would be highly appreciated nonetheless. It seems like the bug was closed as invalid upstream, according to the linked debbugs entry, and not 'Fix Commited'. Should one correct that information?

marcel (marcelrf) wrote :

Just installed apt-proxy on Intrepid Ibex fully updated and this is still happening.
Also Packages.bz2 seems to not be tehre at all in 8.10.

Przemek K. (azrael) wrote :

Same thing on Jaunty

Jim Bailey (jim-freesolutions) wrote :

Same issue for me also on Jaunty

Same issue for me in Jaunty. Version 1.9.36.3+nmu1ubuntu1.

Thank you for reporting this issue.

Does this occur in Lucid?

Changed in apt-proxy (Ubuntu):
status: Confirmed → Incomplete
Oli Wade (olithered) wrote :

Yes it does happen on Lucid.

Marking as confirmed. In Debian it's also not fixed, because nobody is interested in a fix. Maybe someone of our developer can fix it, that's why I leave it open. Thank you reporters for your information, but that's all I can tell you for now.

Changed in apt-proxy (Ubuntu):
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.